Name:           maven-plugin-bundle
Version:        3.5.0
Release:        6
Summary:        Maven Bundle Plugin
License:        ASL 2.0
URL:            http://felix.apache.org
Source0:        https://repo1.maven.org/maven2/org/apache/felix/maven-bundle-plugin/%{version}/maven-bundle-plugin-%{version}-source-release.tar.gz

Patch0001:      0001-Port-to-current-maven-dependency-tree.patch
Patch0002:      0002-Fix-for-new-maven-archiver.patch
Patch0003:      0003-Port-to-plexus-utils-3.0.24.patch
Patch0004:      0004-Use-Maven-3-APIs.patch

BuildRequires:  maven-local mvn(biz.aQute.bnd:biz.aQute.bndlib) mvn(org.apache.felix:felix-parent:pom:)
BuildRequires:  mvn(org.apache.felix:org.apache.felix.utils) mvn(org.apache.maven:maven-archiver)
BuildRequires:  mvn(org.apache.maven:maven-compat) mvn(org.apache.maven:maven-core) mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations) mvn(org.apache.maven.shared:maven-dependency-tree)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils) mvn(org.osgi:osgi.core) mvn(org.sonatype.plexus:plexus-build-api)
BuildRequires:  mvn(net.sf.kxml:kxml2) mvn(org.apache.felix:org.apache.felix.bundlerepository) mvn(xpp3:xpp3)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-core) mvn(org.apache.maven.doxia:doxia-sink-api)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-site-renderer) mvn(org.apache.maven.reporting:maven-reporting-impl)
BuildArch:      noarch

%description
This Maven plugin is based on the BND tool from Peter Kriens. The way BND works is by treating your project as a big collection of
classes (e.g., project code, dependencies, and the class path). The way you create a bundle with BND is to tell it the content of
the bundle's JAR file as a subset of the available classes. This plugin wraps BND to make it work specifically with the Maven
project structure and to provide it with reasonable default behavior for Maven projects.

%package help
Summary:        Help package for maven-plugin-bundle
Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description help
This package contains the API help documentation for maven-plugin-bundle.

%prep
%autosetup -n maven-bundle-plugin-%{version} -p1
find -name '*.jar' -exec rm -vf {} ';'
%pom_change_dep :org.osgi.core :osgi.core
rm -r src/main/java/org/apache/maven/shared/dependency src/main/java/org/apache/felix/bundleplugin/pom
%pom_add_dep xpp3:xpp3
%pom_add_dep net.sf.kxml:kxml2

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files help -f .mfiles-javadoc

%changelog
* Thu Nov 17 2022 yaoxin <yaoxin30@h-partners.com> - 3.5.0-6
- Modify invalid Source

* Fri Dec 13 2019 lingsheng <lingsheng@huawei.com> - 3.5.0-5
- Package init
